package vermilion;

/**
 * Used to transport a parameter change (or other event cue) from the composer
 * to the router.
 */
public class PlaybackEvent
{
    public String machineID;
    public String parameter;
    public ParameterBase commandVal;

    public PlaybackEvent(String machID, String parName, ParameterBase cmdValue)
    {
        machineID = machID;
        parameter = parName;
        commandVal = cmdValue;
    }

    @Override
    public String toString()
    {
        return machineID + "." + parameter + " = " + commandVal;
    }
}
